from marshmallow import Schema, fields, post_load, validates, ValidationError

class SiteSchema(Schema):
    customer_id = fields.Integer(required=False)
    site_name = fields.String(required=True)
    address = fields.String(required=True)
    siteImg = fields.String(required=False)
    img_content_type = fields.String(required=False)
    latitude = fields.String(required=True)
    longitude = fields.String(required=True)
    status = fields.String(required=True)
    @validates("site_name")
    def required_site_name(self, value):
        if not value:
            raise ValidationError("The Site name field is required")
    @post_load
    def make_user(self, data, **kwargs):
        return data
site_schema = SiteSchema()
sites_schemas = SiteSchema(many=True)
